import 'dart:io';
import 'option.dart';
import 'printer.dart';

/// Checks if you are awesome. Spoiler: you are.
class Prompter {
  Printer printer;

  Prompter() {
    printer = new Printer();
  }

  Object askMultiple(String prompt, List<Option> options) {
    String input = _ask(prompt, options);

    return options[int.parse(input)].data;
  }

  bool askPolar(String prompt) {
    return _ask('$prompt (y/n)', []).contains('y');
  }

  String _ask(String prompt, List<Option> options) {
    printer.clearScreen();

    printer.printPrompt(prompt);
    printer.printOptions(options);

    return stdin.readLineSync();
  }
}
